#!/usr/bin/eruby -Ke
<%
  # Copyright (C) 2002,2003  Kazuhiko <kazuhiko@fdiary.net>
  #
  # This program is free software; you can redistribute it and/or modify
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2, or (at your option)
  # any later version.
  #
  # This program is distributed in the hope that it will be useful,
  # but WITHOUT ANY WARRANTY; without even the implied warranty of
  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  # GNU General Public License for more details.
  #
  $: << File::dirname( ENV['PATH_TRANSLATED'] ) if ENV['PATH_TRANSLATED']
  ERuby.charset = "euc-jp"
  require 'letmesee.rb'
  begin
  l = LetMeSee::new
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=euc-jp">
<%= l.css_tag.chomp %>
    <title>let me see...</title>
  </head>
  <body>
    <%= l.header %>
    <p></p>
    <form method="get" action="<%= l.index %>">
      <ul>
	<% 0.upto(l.bookname.length - 1) do |i| %>
	  <li><input type="checkbox" name="dict" value="<%= i %>"<%= if (l.dict.include?(i.to_s) or l.dict.length == 0); " checked" else "" end %>><%= l.bookname[i] %></li>
	<% end %>
      </ul>
      <div>
	<input name="query" size="20" value="<%= if l.query then l.query else '' end %>">
	<input type="submit" value="">
	ˡ
	<select name="mode">
	  <option value="exactsearch" <%= if (l.mode == 'exactsearch'); "selected" else "" end %>></option>
	  <option value="search" <%= if (l.mode != 'exactsearch' && l.mode != 'endsearch'); "selected" else "" end %>></option>
	  <option value="endsearch" <%= if (l.mode == 'endsearch'); "selected" else "" end %>></option>
	  <option value="menu">˥塼</option>
	  <option value="copyright">ɽ</option>
	</select>
	κҥåȿ
	<select name="maxhit">
	  <option selected value="10">10</option>
	  <option value="20">20</option>
	  <option value="50">50</option>
	</select>
      </div>
    </form>
    <% if (l.mode == 'reference') then
      item = l.content(l.book, l.page, l.offset)
      if item then %>
        <hr>
        <h2><%= l.bookname[l.book] %></h2>
        <p class="content"><%= item.html_output %></p>
      <% end
    elsif (l.dict.length != 0) then
      l.dict.each do |dict|
        dict = dict.to_i
        case l.mode
          when 'menu' then item = l.menu(dict)
	  when 'copyright' then item = l.copyright(dict)
	  when 'search', 'exactsearch', 'endsearch' then item = l.search(dict)
	end
        if (item && item.length != 0) then %>
          <hr>
	  <div class="day">
            <% case l.mode
              when 'menu', 'copyright' then %>
                <h2><span class="date"><%= l.bookname[dict] %></span></h2>
                <p class="content"><%= item.html_output %></p>
	      <% when 'search', 'exactsearch', 'endsearch' then %>
                <h2><span class="date"><%= l.bookname[dict] %> Hit:<%= item.length %></span></h2>
                <% item.each do |item| %>
		  <h3><%= l.section_anchor %><%= item[0].html_output %></h3>
		  <p class="content"><%= item[1].html_output %></p>
	        <% end
	    end %>
	  <div class="referer"></div>
	  </div>
	<% end
      end
    else %>
      <hr>
      <h2>let me see... λȤ</h2>
      <p>뼭ǡΥƥȥܥå˸ʸϤƤ [] 򤪤Ƥ</p>
      <p>˥塼ԤäɽꤹϡˡΥץ˥塼֥˥塼פޤϡɽפǡ[] 򲡤Ƥƥȥܥå϶ΤޤޤǤޤޤ</p>
    <% end %>
    <hr class="sep">
    <%= l.footer %>
    <div class="footer">
      Generated by <a href="http://openlab.jp/edict/letmesee/">let me see...</a> version <%= LetMeSee_VERSION %>.<br>
      Powered by <a href="http://www.ruby-lang.org/">Ruby</a> version <%= RUBY_VERSION %><% if /ruby/i =~ ENV['GATEWAY_INTERFACE'] %> with <a href="http://www.modruby.net/">mod_ruby</a><% end %> and <a href="http://rubyeb.sourceforge.net/">RubyEB</a> version <%= EB::RUBYEB_VERSION %>.
    </div>
  </body>
</html>
<%
  rescue Exception
  $defout.cancel
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
    <title>let me see...</title>
  </head>
  <body>
    <p>
      <%= "#$! (#{$!.class})".gsub(/</, '&lt;').gsub(/>/, '&gt;') %>
    </p>
    <p>
      <%= $@.join('<br>') %>
    </p>
  </body>
</html>
<% end %>
